accumulo-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From e..@apache.org
Subject [1/2] accumulo git commit: ACCUMULO-3793 use numctl to turn on memory interleaving
Date Mon, 11 May 2015 18:15:46 GMT
Repository: accumulo
Updated Branches:
  refs/heads/1.6 7813f507b -> 83816af42


ACCUMULO-3793 use numctl to turn on memory interleaving


Project: http://git-wip-us.apache.org/repos/asf/accumulo/repo
Commit: http://git-wip-us.apache.org/repos/asf/accumulo/commit/b8214877
Tree: http://git-wip-us.apache.org/repos/asf/accumulo/tree/b8214877
Diff: http://git-wip-us.apache.org/repos/asf/accumulo/diff/b8214877

Branch: refs/heads/1.6
Commit: b82148777c023b21578d06ef451fdd70770107a5
Parents: fa22fa4
Author: Eric C. Newton <eric.newton@gmail.com>
Authored: Mon May 11 14:07:16 2015 -0400
Committer: Eric C. Newton <eric.newton@gmail.com>
Committed: Mon May 11 14:07:16 2015 -0400

----------------------------------------------------------------------
 assemble/bin/config.sh       | 9 +++++++++
 assemble/bin/start-server.sh | 4 ++--
 2 files changed, 11 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/accumulo/blob/b8214877/assemble/bin/config.sh
----------------------------------------------------------------------
diff --git a/assemble/bin/config.sh b/assemble/bin/config.sh
index 7663473..9bee91b 100755
--- a/assemble/bin/config.sh
+++ b/assemble/bin/config.sh
@@ -149,6 +149,15 @@ if [ ! -f "$ACCUMULO_CONF_DIR/gc" -a -z "${ACCUMULO_VERIFY_ONLY}" ];
then
   fi
 fi
 
+NUMA=`which numactl 2>/dev/null`
+NUMACTL_EXISTS="$?"
+NUMACTL_ARGS="--interleave=all"
+if [[ ${NUMACTL_EXISTS} -eq 0 ]] ; then
+  export NUMA_CMD="${NUMA} ${NUMACTL_ARGS}"
+else
+  export NUMA_CMD=""
+fi
+
 SSH='ssh -qnf -o ConnectTimeout=2'
 
 export HADOOP_HOME=$HADOOP_PREFIX

http://git-wip-us.apache.org/repos/asf/accumulo/blob/b8214877/assemble/bin/start-server.sh
----------------------------------------------------------------------
diff --git a/assemble/bin/start-server.sh b/assemble/bin/start-server.sh
index aa1375a..daa8495 100755
--- a/assemble/bin/start-server.sh
+++ b/assemble/bin/start-server.sh
@@ -75,10 +75,10 @@ fi
 if [ -z "$PID" ]; then
    echo "Starting $LONGNAME on $HOST"
    if [ "$HOST" = "localhost" -o "$HOST" = "`hostname -f`" -o "$HOST" = "$ip" ]; then
-      ${bin}/accumulo ${SERVICE} --address ${ADDRESS} >${ACCUMULO_LOG_DIR}/${SERVICE}_${LOGHOST}.out
2>${ACCUMULO_LOG_DIR}/${SERVICE}_${LOGHOST}.err & 
+      ${NUMA_CMD} ${bin}/accumulo ${SERVICE} --address ${ADDRESS} >${ACCUMULO_LOG_DIR}/${SERVICE}_${LOGHOST}.out
2>${ACCUMULO_LOG_DIR}/${SERVICE}_${LOGHOST}.err & 
       MAX_FILES_OPEN=$(ulimit -n)
    else
-      $SSH $HOST "bash -c 'exec nohup ${bin}/accumulo ${SERVICE} --address ${ADDRESS} >${ACCUMULO_LOG_DIR}/${SERVICE}_${LOGHOST}.out
2>${ACCUMULO_LOG_DIR}/${SERVICE}_${LOGHOST}.err' &"
+      $SSH $HOST "bash -c 'exec nohup ${NUMA_CMD} ${bin}/accumulo ${SERVICE} --address ${ADDRESS}
>${ACCUMULO_LOG_DIR}/${SERVICE}_${LOGHOST}.out 2>${ACCUMULO_LOG_DIR}/${SERVICE}_${LOGHOST}.err'
&"
       MAX_FILES_OPEN=$($SSH $HOST "/usr/bin/env bash -c 'ulimit -n'") 
    fi
 


Mime
View raw message